import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.tree import DecisionTreeClassifier

A = np.loadtxt( "lunas.csv", delimiter=',' )

X = A[:,0:2]
y = A[:,2]

X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state = 40 )

arbol = DecisionTreeClassifier( random_state=0 )

arbol.fit( X_entrena, y_entrena )

print( "Precisiones" )
print( "En el entrenamiento:", arbol.score( X_entrena, y_entrena ) ) 
print( "En la prueba       :", arbol.score( X_prueba, y_prueba ) )
